From f52dcc074cbcb169fa927ca532e26bea028eafbc Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 15 Apr 2026 07:33:56 +0000
Subject: [PATCH] python3-editables: upgrade 0.5 -> 0.6

---
 .../python/python3-editables_0.5.bb           | 13 ----
 .../python/python3-editables_0.6.bb           | 63 +++++++++++++++++++
 2 files changed, 63 insertions(+), 13 deletions(-)
 delete mode 100644 meta/recipes-devtools/python/python3-editables_0.5.bb
 create mode 100644 meta/recipes-devtools/python/python3-editables_0.6.bb

diff --git a/meta/recipes-devtools/python/python3-editables_0.5.bb b/meta/recipes-devtools/python/python3-editables_0.5.bb
deleted file mode 100644
index 11566f096b..0000000000
--- a/meta/recipes-devtools/python/python3-editables_0.5.bb
+++ /dev/null
@@ -1,13 +0,0 @@
-SUMMARY = "A Python library for creating editable wheels"
-HOMEPAGE = "https://github.com/pfmoore/editables"
-SECTION = "devel/python"
-LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=41bc1be47b7bb8240db3ef928c7cb0bf"
-
-SRC_URI[sha256sum] = "309627d9b5c4adc0e668d8c6fa7bac1ba7c8c5d415c2d27f60f081f8e80d1de2"
-
-inherit pypi python_flit_core
-
-RDEPENDS:${PN} += "python3-io"
-
-BBCLASSEXTEND = "native nativesdk"
diff --git a/meta/recipes-devtools/python/python3-editables_0.6.bb b/meta/recipes-devtools/python/python3-editables_0.6.bb
new file mode 100644
index 0000000000..78b2d86bfc
--- /dev/null
+++ b/meta/recipes-devtools/python/python3-editables_0.6.bb
@@ -0,0 +1,63 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.txt
+# +++ LICENSE.txt
+# @@ -1,18 +1,18 @@
+# -Copyright (c) 2020 Paul Moore
+# -
+# -Permission is hereby granted, free of charge, to any person obtaining a copy of
+# -this software and associated documentation files (the "Software"), to deal in
+# -the Software without restriction, including without limitation the rights to
+# -use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+# -the Software, and to permit persons to whom the Software is furnished to do so,
+# -subject to the following conditions:
+# -
+# -The above copyright notice and this permission notice shall be included in all
+# -copies or substantial portions of the Software.
+# -
+# -THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# -IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+# -FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+# -COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+# -IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# -CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+# +Copyright (c) 2020 Paul Moore
+# +
+# +Permission is hereby granted, free of charge, to any person obtaining a copy of
+# +this software and associated documentation files (the "Software"), to deal in
+# +the Software without restriction, including without limitation the rights to
+# +use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+# +the Software, and to permit persons to whom the Software is furnished to do so,
+# +subject to the following conditions:
+# +
+# +The above copyright notice and this permission notice shall be included in all
+# +copies or substantial portions of the Software.
+# +
+# +THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# +IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+# +FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+# +COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+# +IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# +CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+# 
+#
+
+SUMMARY = "A Python library for creating editable wheels"
+HOMEPAGE = "https://github.com/pfmoore/editables"
+SECTION = "devel/python"
+LICENSE = "MIT"
+LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=d731fc2dd253a6e78010aabef22fa987"
+
+SRC_URI[sha256sum] = "1163834902381c4613787951c5914800fdf155ae08848a373b8ea5006780977c"
+
+inherit pypi python_flit_core
+
+RDEPENDS:${PN} += "python3-io"
+
+BBCLASSEXTEND = "native nativesdk"
-- 
2.47.1

